package org.objectweb.jonas.jtests.servlets.portlink;

import java.rmi.RemoteException;

/**
 * Remote interface used for Dynamix Proxy Generation
 */
public interface AddressBook extends java.rmi.Remote {

    public void addAddress(Address addr) throws RemoteException, AddressBookException;
    public Address getAddress(String name) throws RemoteException;
    public Address[] getAddresses() throws RemoteException;
    public boolean isPresent(String name) throws RemoteException;

}
